#pragma once

#include <UModalDialogs.h>

enum
{
	kMainTextInFile 		= 0x8000,
	kHelpTextInFile			= 0x4000,
	kKeepApplicationOpen	= 0x2000,
	kShowLaunchCheckbox		= 0x1000,
	kPrecheckLaunchCheckbox	= 0x0800
};


class	CEditorWindow : 	public StDialogHandler
{

public:
	enum { class_ID = 'saEd' };
	
	SInt16						mFileRefNum;
	SInt16						mPreferenceRsrcID;
	SInt16						mResListRsrcID;
	UInt16						mFlags;
	SInt16						mStringListRsrcID;
	SInt16						mMainTextRsrcID;
	SInt16						mHelpTextRsrcID;
	SInt16						mAppFileRefRsrcID;
	SInt16						mDocFileRefRsrcID;

								CEditorWindow( SInt16 inFileRefNum, SInt16 inPreferenceRsrcID, SInt16 inResListRsrcID );
	virtual						~CEditorWindow();
	
	SInt32						DoEdit();
	
	void						SaveWindowToFile();
	void						LoadWindowFromFile();
	
};
