/*
 	File:		Unicode.h
 
 	Contains:	Types, constants, and prototypes for Unicode Converter
 
 	Version:	Mac OS 8 (Tempo)
 
 	DRI:		Julio Gonzalez
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.
 				All rights reserved.
 
 	Warning:	*** APPLE INTERNAL USE ONLY ***
 				This file may contain unreleased API's
 
 	BuildInfo:	Built by:			Sue Kuo
 				With Interfacer:	2.0d13   (PowerPC native)
 				From:				Unicode.i
 					Revision:		65
 					Dated:			10/1/97
 					Last change by:	PKE
 					Last comment:	Move contents to new UnicodeConverter.i (since they were all
 
 	Bugs:		Report bugs to Radar component System Interfaces, Latest
 				List the version information (from above) in the Problem Description.
 
*/
#ifndef __UNICODE__
#define __UNICODE__

#ifndef __UNICODECONVERTER__
#include <UnicodeConverter.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __UNICODE__ */

