#pragma once

#include <UModalDialogs.h>

SInt32 DoEditFileRef( SInt16 inFileRefNum, SInt16 &inFileRefRsrcID, Boolean inSharedFileRef = false );

void GetPathFromFileRef( SInt16 inFileRefNum, SInt16 inFileRefRsrcID, Str255 outFilePathForDisplay );

class	CFileRefEditorWindow : 	public StDialogHandler
{

public:
	enum { class_ID = 'clEd' };
	
	SInt16						mFileRefNum;
	SInt16						mFileRefRsrcID;
	Boolean						mSharedFileRef;

								CFileRefEditorWindow( SInt16 inFileRefNum, SInt16 inPreferenceRsrcID, Boolean inSharedFileRef );
	virtual						~CFileRefEditorWindow();
	
	SInt32						DoEdit();
	void						SaveWindowToFile();
	void						LoadWindowFromFile();
	
	void						GetInfoFromFSSpec( FSSpec* inFSSpec, SInt16 inDocRefNum, Boolean inFullPath, Str255 outPathStr, ResType &outFileType, ResType &outFileCreator, UInt32 &outFileCreationDate );

	void						BuildSrcPath( FSSpec* inFSSpec, SInt16 inDocRefNum, Boolean inFullPath, Str255 outPathStr );
	
};
