
/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Simple Application Launcher Plug-in Preference Resource
//
/////////////////////////////////////////////////////////////////////////////////////////////////////

#define	SLWPPrefFlags 														\
		boolean		kMainTextInRsrc, kMainTextInFile;		/* Whether text is in 'TEXT' resource in data file or in a separate SimpleText file */				\
		boolean		kHelpTextInRsrc, kHelpTextInFile;		/* Whether help text is in 'TEXT' resource in data file or in a separate SimpleText file */			\
		boolean		kQuitAppOnGoBackOrQuit, kDontQuitAppOnGoBackOrQuit;		/* Whether the launched app is quit when clicking Go Back or quitting Upgrader */	\
		boolean		kDontShowLaunchCheckbox, kShowLaunchCheckbox;			/* A Checkbox that allows the user to launch or not launch the application */	\
		boolean		kLaunchCheckboxDefaultToOff, kLaunchCheckboxDefaultToOn;/* The state of the launch checkbox, if shown */	\
		fill bit[11]										/* Reserved */ 

type 'slpr' {														
	switch {
		case format3:
			key integer = 3;					/* Format version */
			SLWPPrefFlags;						/* Flags */
			integer;							/* Main Text (location depends on flags) - 'flrf' or 'TEXT' Rsrc ID */
			integer;							/* Help text (location depends on flags) - 'flrf' or 'TEXT' Rsrc ID */
			integer;							/* First help text picture (when using kMainTextInRsrc flag) - 'PICT' Rsrc ID */
			integer;							/* Background color panel (B&W:  ID + 1) - 'PICT' Rsrc ID */
			integer;							/* Plug-in string list Rsrc ID (STR#) - 'STR#' Rsrc ID */
			integer;							/* Application to be launched - 'flrf' Rsrc ID */
			integer;							/* Document to be launched (use zero if none) - 'flrf' Rsrc ID */ 
			integer;							/* Plug-in strings - 'STR#' Rsrc ID */ 
	};
};

