/*
	File:		ATalkSample.h

	Contains:	Some utility routines used by the Sample programs

	Copyright:	 1993-1995 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __ATALKSAMPLEUTILS__
#define __ATALKSAMPLEUTILS__

#include "OpenTransport.h"
#include "OpenTptAppleTalk.h"


void Idle(void);
void ShowEndpointInfo(EndpointRef ep);
void ShowEndpointState(EndpointRef ep, char* prefixString);
void ShowFullEndpointData(EndpointRef ep);
void ShowDDPAddress(DDPAddress* addr);

#endif
